Page MenuHomePhabricator

Showing the lemma in recent changes
Closed, ResolvedPublic3 Story Points

Description

As a user I want to be able to quickly see what is behind a Lexeme ID I see in recent changes in order to know if the edit summary associated with it represents a good or bad edit.

The recent changes line should start with for example "Lehrerin (L123)" instead of "L123" if Lehrerin is the lemma.

GIVEN There has been an edit made to the Lexeme
WHEN I am on Special:RecentChanges
THEN I see the lemma of the lexeme and the ID
AND they link to the lexeme page

Details:

  • If there are multiple then show them separated by translatable separator (in English forward slash) in the order in which they are in the Lexeme.

Todo:

  • Consider adding a browser test or another high level test

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterselenium: Changed RecentChanges page object
mediawiki/core : masterselenium: RecentChanges page object
mediawiki/extensions/WikibaseLexeme : masterLexemeLinkFormatter: test it is used
mediawiki/core : masterselenium: add RecentChanges test to page spec

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 6 2018, 8:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek updated the task description. (Show Details)Apr 24 2018, 3:19 PM
WMDE-leszek set the point value for this task to 5.
Lydia_Pintscher triaged this task as High priority.May 8 2018, 12:48 PM

Potentially going to be fixed with T195382.

Pablo-WMDE updated the task description. (Show Details)Jun 6 2018, 1:41 PM
Pablo-WMDE changed the point value for this task from 5 to 3.

@Lydia_Pintscher Observation that could irritate users. We are using the lemmas of a lexeme to build its anchor text. Special:RecentChanges shows the development of entities over time, i.e. multiple revisions of the same entity. However all anchor texts are built using the latest revision of the entity and as such may contain lemma that were not part of the lexeme at the time the change refers to. This could go counter to the stated intention of this ticket, to "know if the edit summary associated with it represents a good or bad edit".

/cc @WMDE-leszek

Thanks for paying attention, Pablo! We're doing the same for items. No-one asked for a change to that afaik. And it could be argued that the most recent label/lemma is what identifies the item no matter what it's been in the past.

Change 439878 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/core@master] selenium: add RecentChanges test to page spec

https://gerrit.wikimedia.org/r/439878

Change 439951 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] LexemeLinkFormatter: test it is used

https://gerrit.wikimedia.org/r/439951

Change 439878 merged by jenkins-bot:
[mediawiki/core@master] selenium: add RecentChanges test to page spec

https://gerrit.wikimedia.org/r/439878

Change 439951 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] LexemeLinkFormatter: test it is used

https://gerrit.wikimedia.org/r/439951

Change 441039 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/core@master] selenium: RecentChanges page object

https://gerrit.wikimedia.org/r/441039

Change 441041 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] selenium: Changed RecentChanges page object

https://gerrit.wikimedia.org/r/441041

Change 441039 merged by jenkins-bot:
[mediawiki/core@master] selenium: RecentChanges page object

https://gerrit.wikimedia.org/r/441039

Change 441041 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] selenium: Changed RecentChanges page object

https://gerrit.wikimedia.org/r/441041

This introduced browser tests for core which are flaky T198137 (see #3)